/* speaker.h -- interface definitions for speaker device ioctl()s */

#define	SPKRIOC		('S'<<8)
#define	SPKRTONE	(SPKRIOC|1)	/* emit tone */
#define	SPKRTUNE	(SPKRIOC|2)	/* emit tone sequence*/

typedef struct
{
    int	frequency;	/* in hertz */
    int duration;	/* in 1/100ths of a second */
}
tone_t;

/*
 * Strings written to the speaker device are interpreted as tunes and played;
 * see the speaker(7) man page for details.
 */

/* speaker.h ends here */
